> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tag

> API for creating tags for contacts and campaign.



## OpenAPI

````yaml /openapi-v1.json post /tags
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /tags:
    post:
      tags:
        - Tags
      summary: Create Tag
      description: API for creating tags for contacts and campaign.
      operationId: create-tag
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of your tag
                  minLength: 1
                  maxLength: 100
              required:
                - name
            examples:
              Example-1:
                value:
                  name: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Example-1:
                  value:
                    id: xyz
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                      message:
                        type: string
              examples:
                Example-1:
                  value:
                    error:
                      field: name
                      message: Name must be a maximum of 100 characters in length
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items: {}
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````